<form class="{{cssClass}}" autocomplete="off">
    <header class="sheet-header">
        <img class="profile-img" src="{{item.img}}" data-edit="img" title="{{item.name}}" alt="{{item.name}}"/>
        <div class="header-fields">
            <h1 class="charname"><input name="name" type="text" value="{{item.name}}" placeholder="Name"/></h1>
            <div class="grid grid-2col">
                <div class="resource">
                    <label class="resource-label">Quantity</label>
                    <input type="text" name="data.quantity" value="{{data.data.quantity}}" data-dtype="Number"/>
                </div>
            </div>
        </div>
    </header>

    {{!-- Sheet Tab Navigation --}}
    <nav class="sheet-tabs tabs" data-group="primary">
        <a class="item" data-tab="description">{{localize "OD6S.DESCRIPTION"}}</a>
        <a class="item" data-tab="attributes">{{localize "OD6S.ATTRIBUTES"}}</a>
        <a class="item" data-tab="effects">{{localize "OD6S.EFFECTS"}}</a>
        <a class="item" data-tab="labels">{{localize "OD6S.LABELS"}}</a>
    </nav>

    {{!-- Sheet Body --}}
    <section class="sheet-body">
        {{!-- Description Tab --}}
        <div class="tab" data-group="primary" data-tab="description">
            <div class="editor">{{editor content=data.data.description target="data.description" button=true owner=owner
                editable=editable}}
            </div>
        </div>

        {{!-- Attributes Tab --}}
        <div class="tab attributes" data-group="primary" data-tab="attributes">
            {{!-- As you add new fields, add them in here! --}}
            <div>{{localize 'OD6S.TYPE'}}: {{localize "OD6S.WEAPON"}}</div>
            <div class="flexrow flex-group-left">
                <label for="data.subtype">{{localize 'OD6S.CHAR_WEAPONS_TYPE'}}:</label>
                <select name="data.subtype" id="data.subtype">
                    {{#select data.data.subtype}}
                    {{#each (getWeaponTypes) as |subtype|}}
                    <option value="{{ localize subtype }}">
                        {{localize subtype}}
                    </option>
                    {{/each}}
                    {{/select}}
                </select>
            </div>
            {{#if (eq data.data.subtype (localize 'OD6S.RANGED'))}}
            <div class="flexrow flex-group-left">
                <p>{{localize 'OD6S.RANGE'}}:</p>
                <label for="data.range.short">{{localize 'OD6S.RANGE_SHORT'}}:</label>
                <input title="{{localize 'OD6S.RANGE_SHORT'}}"
                       onfocus="this.value=''" data-dtype="Number"
                       name="data.range.short" type="number" value="{{data.data.range.short}}">
                <label for="data.range.medium">{{localize 'OD6S.RANGE_MEDIUM'}}:</label>
                <input title="{{localize 'OD6S.RANGE_MEDIUM'}}"
                       onfocus="this.value=''" data-dtype="Number"
                       name="data.range.medium" type="number" value="{{data.data.range.medium}}">
                <label for="data.range.long">{{localize 'OD6S.RANGE_LONG'}}:</label>
                <input title="{{localize 'OD6S.RANGE_LONG'}}"
                       onfocus="this.value=''" data-dtype="Number"
                       name="data.range.long" type="number" value="{{data.data.range.long}}">
            </div>
            <div class="flexrow flex-group-left">
                <label for="data.ammo">{{localize 'OD6S.AMMO'}}:</label>
                <input title="{{localize 'OD6S.AMMO'}}" data-dtype="Number" onfocus="this.value=''"
                       name="data.ammo" type="number" value="{{data.data.ammo}}">
                <label for="data.rof">{{localize 'OD6S.RATE_OF_FIRE'}}:</label>
                <input title="{{localize 'OD6.RATE_OF_FIRE'}}" data-dtye="Number" onfocus="this.value=''"
                       name="data.rof" type="number" value="{{data.data.rof}}">
            </div>
            {{/if}}
            <div class="flexrow flex-group-center">{{localize 'OD6S.DAMAGE'}}</div>
            <div class="row">
                <div class="column">
                    <div>
                        <div class="flex flex-group-left editweapon"
                             data-item-id="{{item.id}}" data-score="{{data.data.damage.score}}">
                            <label for="dice">{{localize 'OD6S.DICE'}}</label>
                            <input title="{{localize 'OD6S.DICE'}}" name="dice" type="number" onfocus="this.value=''"
                                   value="{{diceFromScore data.data.damage.score}}" data-dtype="Number"/>
                        </div>
                    </div>
                </div>
                <div class="column">
                    <div>
                        <div class="flex flex-group-left editweapon"
                             data-item-id="{{item.id}}" data-score="{{data.data.damage.score}}">
                            <label for="pips">{{localize 'OD6S.PIPS'}}</label>
                            <input title="{{localize 'OD6S.PIPS'}}" name="pips" type="number" onfocus="this.value=''"
                                   value="{{pipsFromScore data.data.damage.score}}" data-dtype="Number"/>
                        </div>
                    </div>
                </div>
                <div class="flexrow flex-group-left">
                    <label for="data.damage.type">{{localize 'OD6S.DAMAGE_TYPE'}}:</label>
                    <select name="data.damage.type" id="data.damage.type">
                        {{#select data.data.damage.type }}
                        {{#each (getDamageTypes) as |damagetype key|}}
                        <option value="{{ key }}">
                            {{localize damagetype}}
                        </option>
                        {{/each}}
                        {{/select}}
                    </select>
                </div>
            </div>
            <div class="flexrow flex-group-left">
                <div class="flexrow flex-group-left">
                    <label for="data.difficulty">{{localize 'OD6S.ATTACK_DIFFICULTY_MODIFIER'}}</label>
                    <input title="{{localize 'OD6S.ATTACK_DIFFICULTY_MODIFIER'}}" name="data.difficulty" onfocus="this.value=''"
                        type="number" data-dtype="Number" value="{{data.data.difficulty}}"/>
                </div>
            </div>
            <div class="flexrow flex-group-left">
                <label for="data.stats.attribute">{{localize 'OD6S.ATTRIBUTE'}}</label>
                <input title="{{localize 'OD6S.ATTRIBUTE'}}" name="data.stats.attribute"
                       value="{{data.data.stats.attribute}}" data-dtype="String"/>
            </div>
            <div class="flexrow flex-group-left">
                <label for="data.stats.skill">{{localize 'OD6S.SKILL'}}</label>
                <input title="{{localize 'OD6S.SKILL'}}" name="data.stats.skill"
                       value="{{data.data.stats.skill}}" data-dtype="String"/>
            </div>
            <div class="flexrow flex-group-left">
                <label for="data.stats.specialization">{{localize 'OD6S.SPECIALIZATION'}}</label>
                <input title="{{localize 'OD6S.SPECIALIZATION'}}" name="data.stats.specialization"
                       value="{{data.data.stats.specialization}}" data-dtype="String"/>
            </div>
            <div class="flexrow flex-group-center">{{localize 'OD6S.ACTIVE_EFFECTS'}}</div>
            <div class="flexrow flex-group-center">
                <div class="flexrow flex-group-left">
                    <label for="data.mods.difficulty">{{localize 'OD6S.ATTACK_DIFFICULTY_MODIFIER'}}</label>
                    <input title="{{localize 'OD6S.ATTACK_DIFFICULTY_MODIFIER'}}" name="data.mods.difficulty" onfocus="this.value=''"
                           type="number" data-dtype="Number" value="{{data.data.mods.difficulty}}"/>
                </div>
                <div class="flexrow flex-group-left">
                    <label for="data.mods.attack">{{localize 'OD6S.ATTACK_BONUS'}}</label>
                    <input title="{{localize 'OD6S.ATTACK_BONUS'}}" name="data.mods.attack" onfocus="this.value=''"
                           type="number" data-dtype="Number" value="{{data.data.mods.attack}}"/>
                </div>
                <div class="flexrow flex-group-left">
                    <label for="data.mods.damage">{{localize 'OD6S.DAMAGE_BONUS'}}</label>
                    <input title="{{localize 'OD6S.DAMAGE_BONUS'}}" name="data.mods.damage" onfocus="this.value=''"
                           type="number" data-dtype="Number" value="{{data.data.mods.damage}}"/>
                </div>
            </div>
        </div>

        {{!-- Effects Tab --}}
        {{> systems/od6s/templates/item/item-effects.html }}

        {{!--Labels Tab --}}
        {{> systems/od6s/templates/item/item-labels-tags.html }}
    </section>
</form>
